Subject: [v6ops] FW: draft-ietf-v6ops-6204bis WGLC

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Thu, 15 Mar 2012 18:35:48 -0500

Quick status on WFLC issues closure(s) and forwarding a private email that went on between us authors. 

I have closed most issues raised by different folks in the v6ops mailer except with Ole; will update the next revision with changes due to Daniel Roesen's review.  Will wait on PCP.   Ole's major issues have been recommended to rfc6204ter.  One of Ole's issue related to DHCPv6 may get into rfc6204bis during the documents IESG stage if there is resolution. 

Ole's minor issues were 7 in number out of which I have closed 4.   See below for details.  Besides I and Wes all other authors are on the road in different parts of the world and we could not schedule a WebEx yet.  Will try early next week and try and close the last 3 minor issues from Ole. 

Regards,

Hemant

From: Hemant Singh (shemant) 
Sent: Tuesday, March 13, 2012 8:59 PM
To: Ole Trøan; STARK, BARBARA H
Cc: Wes Beebee (wbeebee); Chris Donley; Hemant Singh (shemant)
Subject: RE: [v6ops] draft-ietf-v6ops-6204bis WGLC

Ole,

Let's try and sort out some Minor issues via email because folks are currently spread all over the map.  

I have replied to issue 1 in an email to cpe-router that Lorenzo has section 3.2.1 removed.   Please see my email from March 9 and see if issue 1 is a closed issue.

For issue 2, where does the W-3 bullet in rfc6204bis say try router discovery forever?  See section 6.3.7 of RFC 4861 that has the host send only 3 RS's which is MAX_RTR_SOLICITATIONS.

I have also taken care of issue 6. 

Chris, please take issues 4, 5, and 7 because these issues relate to changes that would not break CableLabs eRouter cable modem.  Or we try and schedule a phone call to discuss these.  I personally agree with you on issue 4. 

Ignoring issue 3 for now.  This was asked of by Frank Bulk.  I can go back later to his use case or discuss this one with him in v6ops.

Thanks,

Hemant

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ole Trøan
Sent: Friday, March 09, 2012 6:51 AM
To: [email-masked] WG
Cc: [email-masked] Chairs; Ron Bonica
Subject: Re: [v6ops] draft-ietf-v6ops-6204bis WGLC

Minor:

======

1. Section 3.2.1: Why is this section removed?

   A dual-stack host is multihomed to IPv4 and IPv6 networks. The IPv4 and IPv6 topologies

   may not be congruent, and different addresses may have different reachability, e.g., ULAs.

   A host stack has to be able to quickly fail over and try a different source address and destination

   address pair if communication fails, as outlined in [HAPPY-EYEBALLS].

   Suggestion: Add back the missing paragraph.

2. W-3. Question: is there a need for "Router Discovery" to continue forever?

   Compared to todays behavior where it times out after 3 attempts?

3. WAA-4. Has added support for the DNS Search List option.

   The CPE acts as a demarcation point between two administrative domains.

   It will pass some information learnt from the WAN side DHCP client to its LAN

   side DHCP server. I think it is a particularly bad idea to let the ISP set the

   DNS search lists for hosts within my home.

   Why is this option added and what is the use case?

   Suggestion: Remove requirement for DNSSL

4. RFC6204 WAA-7 has been removed. Is that a good idea?

   I think this point is important to make it clear that RA and DHCP processing

   can be done independently of each other.

   Suggestion: Add requirement back.

5. New WAA-7. I think the added "unless configured to require a global IPv6

   address on the WAN interface.", dilutes the purpose of that requirement.

   The RFC6204 profile is meant to result in a router that can be plugged into any

   access network. Even though certain access networks will not operate the unnumbered

   addressing model, how are we going to ensure that no user moves this CPE to

   another access network, that requires it?

   How is this additional "unless configured" testable?

   This same comment applies to WPD-6.

   Suggestion: Remove addition text on WPD-6 and WAA-7.

6. WPD-1. Generally we have tried to avoid having multiple 2119 keywords in one

   requirement. Make PD-exclude a separate requirement.

   Suggestion: Split requirement in two.

7. WPD-4. I disagree with this requirement. It is also hard to test, and becomes

   meaningless, given that a CPE must do PD even if M=0, O=0.

   Suggestion: revert back to RFC6204:WPD-4

_______________________________________________

v6ops mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/v6ops